Package org.h2.store

# Enum Class FileLockMethod

java.lang.Object
java.lang.Enum<FileLockMethod>
org.h2.store.FileLockMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<FileLockMethod>`, `Constable`

public enum FileLockMethod extends Enum<FileLockMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILE`
This locking method means the cooperative file locking protocol should be used.
`FS`
Use the file system to lock the file; don't use a separate lock file.
`NO`
This locking method means no locking is used at all.
`SOCKET`
This locking method means a socket is created on the given machine.

## Method Summary

Modifier and Type
Method
Description
`static FileLockMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileLockMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO

public static final FileLockMethod NO
This locking method means no locking is used at all.

### FILE

public static final FileLockMethod FILE
This locking method means the cooperative file locking protocol should be used.

### SOCKET

public static final FileLockMethod SOCKET
This locking method means a socket is created on the given machine.

### FS

public static final FileLockMethod FS
Use the file system to lock the file; don't use a separate lock file.

## Method Details

### values

public static FileLockMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FileLockMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null